Package org.h2.test.jdbc

# Class TestDatabaseEventListener.Init

java.lang.Object
org.h2.test.jdbc.TestDatabaseEventListener.Init

All Implemented Interfaces:
  `EventListener`, `DatabaseEventListener`

Enclosing class:
  TestDatabaseEventListener

public static class TestDatabaseEventListener.Init extends Object implements DatabaseEventListener
Initialize the database after opening.

## Field Summary

### Fields inherited from interface org.h2.api.DatabaseEventListener

`STATE_BACKUP_FILE, STATE_CREATE_INDEX, STATE_RECONNECTED, STATE_RECOVER, STATE_SCAN_FILE, STATE_STATEMENT_END, STATE_STATEMENT_PROGRESS, STATE_STATEMENT_START`

## Constructor Summary

Constructors
Constructor
Description
`Init()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init(String url)`
This method is called just after creating the object.
`void`
`opened()`
This method is called after the database has been opened.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2.api.DatabaseEventListener

`closingDatabase, exceptionThrown, setProgress`

## Constructor Details

### Init

public Init()

## Method Details

### init

public void init(String url)
Description copied from interface: `DatabaseEventListener`
This method is called just after creating the object. This is done when opening the database if the listener is specified in the database URL, but may be later if the listener is set at runtime with the SET SQL statement.

Specified by:
  `init` in interface `DatabaseEventListener`
Parameters:
  `url` - - the database URL

### opened

public void opened()
Description copied from interface: `DatabaseEventListener`
This method is called after the database has been opened. It is safe to connect to the database and execute statements at this point.

Specified by:
  `opened` in interface `DatabaseEventListener`